Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.hibernate.tool.hbm2java
Class SLSBperEntityRenderer

    java.lang.Object
      |
      +--net.sf.hibernate.tool.hbm2java.AbstractRenderer
            |
            +--net.sf.hibernate.tool.hbm2java.SLSBperEntityRenderer

All Implemented Interfaces:
  Renderer

public class SLSBperEntityRenderer
extends AbstractRenderer

Renderer that generates a StateLess-SessionBean per entity. Consider this more an example of how to write a renderer, than how use Hibernate with sessionbeans! Uses meta attribute jndi-name and initial-context for generating the xdoclet remarks and initial context lookup. Inspired by postings by carniz at Hibernate forum: The basic idea is: - one SLSB per persistent class - each SLSB is a "service" for adding, removing, updating and finding objects of the actual class

Author:
  MAX

Constructor Summary
`SLSBperEntityRenderer()`

Method Summary
`void` | `render(String savedToPackage, String savedToClass, ClassMapping classMapping, Map class2classmap, PrintWriter mainwriter)`

Methods inherited from class net.sf.hibernate.tool.hbm2java.AbstractRenderer
`genPackageDelaration, getFieldScope, getPackageDeclaration, getTrueTypeName, getTrueTypeName, shortenType, toJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLSBperEntityRenderer

    public SLSBperEntityRenderer()

Method Detail

### render

    public void render(String savedToPackage,
                       String savedToClass,
                       ClassMapping classMapping,
                       Map class2classmap,
                       PrintWriter mainwriter)
                throws Exception

    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD